Package org.eclipse.ecf.osgi.services.remoteserviceadmin

# Interface IEndpointDescriptionLocator

All Known Implementing Classes:
  `EndpointDescriptionLocator`

public interface IEndpointDescriptionLocator

Since:
  4.3

## Method Summary

Modifier and Type
Method
Description
`void`
`discoverEndpoint(EndpointDescription endpointDescription)`
Discover the given endpointDescription.
`EndpointDescription[]`
`getDiscoveredEndpoints()`
Get endpoints discovered by this endpoint locator
`IServiceID`
`getNetworkDiscoveredServiceID(EndpointDescription endpointDescription)`
Get the service ID associated with the given endpoint description.
`void`
`undiscoverEndpoint(EndpointDescription endpointDescription)`
Remove the given endpointDescription.
`void`
`updateEndpoint(EndpointDescription endpointDescription)`
Update the given endpointDescription.

## Method Details

### getDiscoveredEndpoints

EndpointDescription[] getDiscoveredEndpoints()
Get endpoints discovered by this endpoint locator

Returns:
  EndpointDescription[] of previously discovered endpoint. Will not return null, but may return empty array.

### getNetworkDiscoveredServiceID

IServiceID getNetworkDiscoveredServiceID(EndpointDescription endpointDescription)
Get the service ID associated with the given endpoint description.

Parameters:
  `endpointDescription` - endpoint description
Returns:
  IServiceID associated discovered endpoint description. Will return `null` if no associated serviceID

### discoverEndpoint

void discoverEndpoint(EndpointDescription endpointDescription)
Discover the given endpointDescription. This method will not block and will result in local EndpointEventListeners to be notified that the given endpointDescription is discovered. about

Parameters:
  `endpointDescription` - must not be null

### updateEndpoint

void updateEndpoint(EndpointDescription endpointDescription)
Update the given endpointDescription. This method will not block and will result in local EndpointEventListeners to be notified that the given endpointDescription is updated. about

Parameters:
  `endpointDescription` - must not be null

### undiscoverEndpoint

void undiscoverEndpoint(EndpointDescription endpointDescription)
Remove the given endpointDescription. This method will not block and will result in local EndpointEventListeners to be notified that the given endpointDescription is removed. about

Parameters:
  `endpointDescription` - must not be null